AWS
probe EKS

# list_clusters

List EKS clusters available to the authenticated account

Run it now
View details

Type | probe
Module | chaosaws.eks.probes
Name | list_clusters
Return | mapping

Usage

JSON

    {
      "name": "list-clusters",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.eks.probes",
        "func": "list_clusters"
      }
    }

YAML

    name: list-clusters
    provider:
      func: list_clusters
      module: chaosaws.eks.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

Signature

    def list_clusters(configuration: Dict[str, Dict[str, str]] = None,
                      secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action EKS

  ## `create_cluster`

  Create a new EKS cluster
- AWS
  action EKS

  ## `delete_cluster`

  Delete the given EKS cluster
- AWS
  probe EKS

  ## `describe_cluster`

  Describe an EKS cluster